=== modified file 'debian/changelog'
--- debian/changelog	2014-03-27 13:02:38 +0000
+++ debian/changelog	2014-04-10 09:58:41 +0000
@@ -1,8 +1,33 @@
-plainbox-provider-checkbox (0.4~dev) UNRELEASED; urgency=medium
-
-  * fork of Debian packaging at 0-3-2 for PPA-specific builds
-
- -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Thu, 27 Mar 2014 14:01:28 +0100
+plainbox-provider-checkbox (0.5~dev) UNRELEASED; urgency=medium
+  
+  * Automatic PPA build
+
+ -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Thu, 10 Apr 2014 11:47:31 +0200
+
+plainbox-provider-checkbox (0.4-1) unstable; urgency=medium
+
+  * New upstream release. List of bugfixes:
+    https://launchpad.net/plainbox-provider-checkbox/14.04/0.4
+  * debian/watch: look for new releases on launchpad
+  * debian/rules: stop using pybuild and use manage.py
+    {i18n,build,install,validate} instead. This also drops dependency on
+    python3-distutils-extra and replaces that with intltool
+  * debian/control: drop X-Python3-Version
+  * debian/control: make plainbox-provider-checkbox depend on python and
+    python2.7 (for some scripts) rather than suggesting them.
+  * debian/upstream/signing-key.asc: Use armoured gpg keys to avoid having to
+    keep binary files in Debian packaging. Also, replace that with my key
+    since I made the 0.3 release upstream.
+  * debian/source/lintian-overrides: add an override for warning about no
+    source for flash movie with reference to a bug report that discusses that
+    issue.
+  * debian/source/include-binaries: drop (no longer needed)
+  * debian/patches: drop (no longer needed)
+  * debian/plainbox-provider-checkbox.lintian-overrides: drop (no longer
+    needed)
+  * Stop being a python3 module, move to from DPMT to PAPT
+
+ -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Mon, 07 Apr 2014 19:00:31 +0200
 
 plainbox-provider-checkbox (0.3-2) unstable; urgency=low
 

=== modified file 'debian/control'
--- debian/control	2014-03-27 13:02:38 +0000
+++ debian/control	2014-04-10 09:58:41 +0000
@@ -1,25 +1,31 @@
 Source: plainbox-provider-checkbox
 Section: utils
 Priority: optional
-Maintainer: Sylvain Pineau <sylvain.pineau@canonical.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Checkbox Developers <checkbox-dev@lists.launchpad.net> 
+Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
+           Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
+           Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python3-all,
- python3-distutils-extra
+ intltool,
+ python (>= 2.7),
+ python3,
+ python3-plainbox (>= 0.5.3),
 Standards-Version: 3.9.5
-X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/plainbox-provider-checkbox/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/plainbox-provider-checkbox/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/plainbox-provider-checkbox/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/plainbox-provider-checkbox/trunk/
 Homepage: http://launchpad.net/checkbox
 
 Package: plainbox-provider-checkbox
 Architecture: any
-Depends: plainbox-provider-resource-generic,
-         python3 (>= 3.2),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plainbox-provider-resource-generic (>= 0.3),
+ python (>= 2.7),
+ python2.7,
+ python3,
 Recommends: gir1.2-gst-plugins-base-1.0,
             gir1.2-gstreamer-1.0,
             gstreamer1.0-plugins-good,
@@ -43,7 +49,6 @@
           nmap,
           obexd-client,
           obexftp,
-          python (>= 2.7),
           render-bench,
           smartmontools,
           sox,

=== modified file 'debian/copyright'
--- debian/copyright	2014-03-27 13:02:38 +0000
+++ debian/copyright	2014-04-10 09:58:41 +0000
@@ -20,7 +20,7 @@
  On Debian-based systems the full text of the GPL, version 3, can be found at
  /usr/share/common-licenses/GPL-3.
 
-Files: provider_bin/alsa_info
+Files: bin/alsa_info
 Copyright: Copyright (C) 2007 Free Software Foundation.
 License: GPL-2
  This program is free software; you can redistribute it and/or modify
@@ -40,7 +40,7 @@
  On Debian-based systems the full text of the GPL, version 2, can be found at
  /usr/share/common-licenses/GPL-2.
 
-Files: provider_bin/camera_test
+Files: bin/camera_test
 Copyright:
  Copyright 2008-2012 Canonical Ltd.
  .
@@ -67,7 +67,7 @@
  On Debian-based systems the full text of the GPL, version 3, can be found at
  /usr/share/common-licenses/GPL-3.
 
-Files: provider_bin/graphics_driver
+Files: bin/graphics_driver
 Copyright: Copyright (C) 2010-2012 Bryce W. Harrington All Rights Reserved.
 License: MIT
  Permission is hereby granted, free of charge, to any person obtaining a copy
@@ -88,7 +88,7 @@
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
  THE SOFTWARE.
 
-Files: provider_bin/mm-test
+Files: bin/mm-test
 Copyright:
  Copyright (C) 2008 Novell, Inc.
  Copyright (C) 2009 Red Hat, Inc.
@@ -110,7 +110,7 @@
  On Debian-based systems the full text of the GPL, version 2, can be found at
  /usr/share/common-licenses/GPL-2.
 
-Files: provider_bin/threaded_memtest.c
+Files: src/threaded_memtest.c
 Copyright: Copyright (C) 2006 Red Hat, Inc. All Rights Reserved.
 License: GPL-2
  This program is free software; you can redistribute it and/or modify

=== removed directory 'debian/patches'
=== removed file 'debian/patches/provider_version.patch'
--- debian/patches/provider_version.patch	2014-03-27 13:02:38 +0000
+++ debian/patches/provider_version.patch	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-Description: Add the provider version for compatibility with plainbox >= 0.5
-Author: Sylvain Pineau <sylvain.pineau@canonical.com>
----
-This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
---- a/checkbox.provider
-+++ b/checkbox.provider
-@@ -2,3 +2,4 @@
- name = 2013.com.canonical:checkbox
- location = /usr/lib/plainbox-providers-1/checkbox/
- description = CheckBox provider
-+version = 1.0

=== removed file 'debian/patches/series'
--- debian/patches/series	2014-03-27 13:02:38 +0000
+++ debian/patches/series	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-provider_version.patch

=== removed file 'debian/plainbox-provider-checkbox.lintian-overrides'
--- debian/plainbox-provider-checkbox.lintian-overrides	2014-03-27 13:02:38 +0000
+++ debian/plainbox-provider-checkbox.lintian-overrides	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-# image files are very specific to the application, they don't belong in /usr/share
-plainbox-provider-checkbox binary: image-file-in-usr-lib

=== modified file 'debian/rules'
--- debian/rules	2014-03-27 13:02:38 +0000
+++ debian/rules	2014-04-10 09:58:41 +0000
@@ -1,10 +1,20 @@
 #!/usr/bin/make -f
-export PYBUILD_NAME=plainbox-provider-checkbox
+PPA_DISPLACEMENT=providers/plainbox-provider-checkbox
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild --sourcedirectory=plainbox-provider-checkbox
+	dh $@ --with=python3 --sourcedirectory=$(PPA_DISPLACEMENT)
+
+override_dh_auto_clean:
+	cd $(PPA_DISPLACEMENT) && python3 manage.py clean
+
+override_dh_auto_build:
+	cd $(PPA_DISPLACEMENT) && python3 manage.py build
+	cd $(PPA_DISPLACEMENT) && python3 manage.py i18n
+
+override_dh_auto_test:
+	cd $(PPA_DISPLACEMENT) && python3 manage.py validate 
 
 override_dh_auto_install:
-	dh_auto_install
-	rm -rf debian/*/usr/lib/python3*/dist-packages/*.egg-info
-	rm -rf debian/*/usr/lib/plainbox-providers-1/checkbox/bin/*.c
+	cd $(PPA_DISPLACEMENT) && python3 manage.py install \
+		--prefix=/usr --layout=unix \
+		--root=$(CURDIR)/debian/plainbox-provider-checkbox/

=== removed file 'debian/source/include-binaries'
--- debian/source/include-binaries	2014-03-27 13:02:38 +0000
+++ debian/source/include-binaries	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-debian/upstream-signing-key.pgp

=== added file 'debian/source/lintian-overrides'
--- debian/source/lintian-overrides	1970-01-01 00:00:00 +0000
+++ debian/source/lintian-overrides	2014-04-10 09:58:41 +0000
@@ -0,0 +1,2 @@
+# https://bugs.launchpad.net/plainbox-provider-checkbox/+bug/1303919 
+plainbox-provider-checkbox source: source-is-missing

=== removed file 'debian/upstream-signing-key.pgp'
Binary files debian/upstream-signing-key.pgp and debian/upstream-signing-key.pgp differ
